@echo off

if "%1"=="" goto :usage
if "%1"=="sys" goto :usage
if "%1"=="system" goto :usage

sqlplus %1 @disable_constraints

sqlplus %1 @delete_tables

sqlldr %1 control=prty

sqlldr %1 control=parl

sqlldr %1 control=apau

sqlldr %1 control=alty

sqlldr %1 control=caco

sqlldr %1 control=comt

sqlldr %1 control=rt

sqlldr %1 control=enst

sqlldr %1 control=enty

sqlldr %1 control=mety

sqlldr %1 control=prtp

sqlldr %1 control=qust

sqlldr %1 control=svcpt

sqlldr %1 control=svcp

sqlldr %1 control=cnor

sqlldr %1 control=caca

sqlldr %1 control=mesc

sqlldr %1 control=byre

sqlldr %1 control=regi

sqlldr %1 control=syco

sqlldr %1 control=adit

sqlldr %1 control=dost

sqlldr %1 control=comsg

sqlldr %1 control=exme

sqlplus %1 @enable_constraints


goto :done

:usage

echo usage 		InstallSeed user/password@database

:done